// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <limits>

namespace CustomNamespace
{
    float a { };
}

namespace SecondNamespace
{
    float a { };
}

int main()
{
    std::cout << "Enter any number: ";
    std::cin >> CustomNamespace::a;
    std::cout << '\n' << "Enter another number: ";
    std::cin >> SecondNamespace::a;
    std::cout << '\n' << "The first variable \'a\' has the value " << CustomNamespace::a << '\n';
    std::cout << "The second variable \'a\' has the value " << SecondNamespace::a << '\n';
    std::cin.clear();
    std::cin.ignore(std::numeric_limits<std::streamsize>::max(), '\n');
    std::cin.get();
    return 0;
}
